export declare abstract class ICursorManager {
    abstract range: Range | undefined;
    abstract isCaret(): boolean;
    abstract isRange(): boolean;
    abstract getRangeContent(): string;
    abstract toEnd(node: Node): void;
    abstract destroy(): void;
    abstract isRangeInEditor(): boolean;
    abstract getRangeTop(): number;
}
